Provable Markets

AgreementService

ApproveAgreement

PATH: /aurora.core.apiengine.agreementsv1.AgreementService/ApproveAgreement

ApproveAgreement can be used to approve a drafted agreement

SecurityBearer
Request
Request Body schema: application/json
required

Approve-Agreement Request

balance_target
string

Balance Target can be added by each party for their own purposes, not visible to the counterparty

balance_target_variance
string

Balance Target Variance can be added by each party for their own purposes, not visible to the counterparty

booking_account
string

Booking Account added by each party, visible to the counterparty

id
required
string

ID of the agreement

profit_center
string
settlement_system
string (aurora.core.consts.agreements.SettlementSystem)
Enum: "SETTLEMENT_SYSTEM_UNSPECIFIED" "PROVABLE_MARKET" "LOANET" "LOANET_SFT" "SPIRE" "PROP"
short_name
required
string

Agreements require a short name that can be used for both display in the order book and when creating new orders. Short names must be unique amongst your agreements and must be 25 characters or less. Spaces are supported but not recommended.

Responses
200

A successful response
Approve-Agreement Response

Response Schema: application/json
object (aurora.core.apiengine.agreementsv1.ApproveAgreementResponse)

Approve-Agreement Response

CancelAgreement

PATH: /aurora.core.apiengine.agreementsv1.AgreementService/CancelAgreement

CancelAgreement can be used to cancel a drafted or active agreement

SecurityBearer
Request
Request Body schema: application/json
required

Cancel-Agreement Request

id
required
string

The reference for the agreement to be closed

Responses
200

A successful response
Cancel-Agreement Response

Response Schema: application/json
object (aurora.core.apiengine.agreementsv1.CancelAgreementResponse)

Cancel-Agreement Response

CreateAgreement

PATH: /aurora.core.apiengine.agreementsv1.AgreementService/CreateAgreement

CreateAgreement can be used tc create an agreement

SecurityBearer
Request
Request Body schema: application/json
required

Create-Agreement Request

balance_target
string

Balance Target can be added by each party for their own purposes, not visible to the counterparty

balance_target_variance
string

Balance Target Variance can be added by each party for their own purposes, not visible to the counterparty

billing_currency
required
string (aurora.core.common.protos.Currency)
Enum: "USD" "CAD" "GBP" "EUR" "JPY"
booking_account
string
collateral_currency
string (aurora.core.common.protos.Currency)
Enum: "USD" "CAD" "GBP" "EUR" "JPY"
collateral_method
required
string (aurora.core.consts.agreements.CollateralMethod)
Enum: "COLLATERAL_METHOD_UNSPECIFIED" "PLEDGE" "TITLE_TRANSFER"
collateral_rate
required
string

The Margin or Collateral rate to be used by both parties when calculating the contract price and value. (ie. 102%)

collateral_type
required
string (aurora.core.consts.agreements.CollateralType)
Enum: "COLLATERAL_TYPE_UNSPECIFIED" "CASH" "NON_CASH_UST" "NON_CASH_EQ" "NON_CASH_JGB"
counterparty_id
required
string

This will be the Provable assigned company_id. See the Company endpoint for more details.

delivery_type
required
string (aurora.core.consts.agreements.DeliveryType)
Enum: "DELIVERY_TYPE_UNSPECIFIED" "DVP" "FOP"
dividend_required
required
string
pricing_currency
required
string (aurora.core.common.protos.Currency)
Enum: "USD" "CAD" "GBP" "EUR" "JPY"
profit_center
string
rounding_rule
required
string (aurora.core.consts.RoundingRule)
Enum: "NO_ROUNDING" "UP_TO_NEAREST_0_DOT_01" "UP_TO_NEAREST_0_DOT_05" "UP_TO_NEAREST_0_DOT_10" "UP_TO_NEAREST_0_DOT_25" "UP_TO_NEAREST_1_DOT_0"
rwa_bucket
string
settlement_system
string (aurora.core.consts.agreements.SettlementSystem)
Enum: "SETTLEMENT_SYSTEM_UNSPECIFIED" "PROVABLE_MARKET" "LOANET" "LOANET_SFT" "SPIRE" "PROP"
settlement_type
required
string (aurora.core.consts.settlement.SettlementType)
Enum: "NSCC" "BILATERAL"
short_name
required
string

Agreements require a short name that can be used for both display in the order book and when creating new orders. Short names must be unique amongst your agreements and must be 25 characters or less. Names are case sensitive. Spaces are supported but not recommended.

side
required
string (aurora.core.consts.common.Side)
Enum: "BORROW" "LOAN"
term_end_date
string
term_start_date
string
term_type
required
string (aurora.core.consts.agreements.TermType)
Enum: "TERM_TYPE_UNSPECIFIED" "NONE" "FIXED" "EVERGREEN" "ONE_DAY" "BULLET"
trade_type
string
Responses
200

A successful response
Create-Agreement Response

Response Schema: application/json
required
object (aurora.core.apiengine.agreementsv1.Agreement)

Fields: id, short_name, side, counterparty_id, settlement_type, rounding_rule, collateral_rate, status, proposer_user, proposed_by_side, responder_user, version, collateral_type, pricing_currency, billing_currency, collateral_currency, collateral_method, dividend_required, term_type, term_start_date, term_end_date, balance_target, balance_target_variance, rwa_bucket, settlement_system, created_at, approved_at, booking_account, counterparty_booking_account, trade_type, profit_center, delivery_type

GetAgreement

PATH: /aurora.core.apiengine.agreementsv1.AgreementService/GetAgreement

GetAgreement can be used to get an agreement

SecurityBearer
Request
Request Body schema: application/json
required
id
required
string
Responses
200

A successful response

Response Schema: application/json
required
object (aurora.core.apiengine.agreementsv1.Agreement)

Fields: id, short_name, side, counterparty_id, settlement_type, rounding_rule, collateral_rate, status, proposer_user, proposed_by_side, responder_user, version, collateral_type, pricing_currency, billing_currency, collateral_currency, collateral_method, dividend_required, term_type, term_start_date, term_end_date, balance_target, balance_target_variance, rwa_bucket, settlement_system, created_at, approved_at, booking_account, counterparty_booking_account, trade_type, profit_center, delivery_type

ListAgreements

PATH: /aurora.core.apiengine.agreementsv1.AgreementService/ListAgreements

ListAgreements can be used to query agreements

SecurityBearer
Request
Request Body schema: application/json
required

List-Agreements Request

booking_accounts
Array of strings
collateral_currencies
Array of strings (aurora.core.common.protos.Currency)
Items Enum: "USD" "CAD" "GBP" "EUR" "JPY"
counterparty_booking_accounts
Array of strings
counterparty_ids
Array of strings
delivery_types
Array of strings (aurora.core.consts.agreements.DeliveryType)
Items Enum: "DELIVERY_TYPE_UNSPECIFIED" "DVP" "FOP"
eligible_instrument
string

Cusip or Ticker of instrument

side
string (aurora.core.consts.common.Side)
Enum: "BORROW" "LOAN"
statuses
Array of strings (aurora.core.consts.agreements.AgreementStatus)

The list of status of the agreements you wish to query.

Items Enum: "AGREEMENT_STATUS_UNSPECIFIED" "DRAFT" "ACTIVE" "REJECTED" "CANCELED" "INACTIVE"
trade_types
Array of strings
Responses
200

A successful response
List-Agreements Response

Response Schema: application/json
Array of objects (aurora.core.apiengine.agreementsv1.Agreement)

List of agreements

ModifyAgreement

PATH: /aurora.core.apiengine.agreementsv1.AgreementService/ModifyAgreement

ModifyAgreement can be used to create a new version of an agreement

SecurityBearer
Request
Request Body schema: application/json
required

Modify-Agreement Request

balance_target
string
balance_target_variance
string
billing_currency
required
string (aurora.core.common.protos.Currency)
Enum: "USD" "CAD" "GBP" "EUR" "JPY"
booking_account
string
collateral_currency
string (aurora.core.common.protos.Currency)
Enum: "USD" "CAD" "GBP" "EUR" "JPY"
collateral_method
required
string (aurora.core.consts.agreements.CollateralMethod)
Enum: "COLLATERAL_METHOD_UNSPECIFIED" "PLEDGE" "TITLE_TRANSFER"
collateral_rate
required
string

Updated Margin / Collateral Rate

collateral_type
required
string (aurora.core.consts.agreements.CollateralType)
Enum: "COLLATERAL_TYPE_UNSPECIFIED" "CASH" "NON_CASH_UST" "NON_CASH_EQ" "NON_CASH_JGB"
delivery_type
required
string (aurora.core.consts.agreements.DeliveryType)
Enum: "DELIVERY_TYPE_UNSPECIFIED" "DVP" "FOP"
dividend_required
required
string
id
required
string

The reference for the agreement you wish to modify

pricing_currency
required
string (aurora.core.common.protos.Currency)
Enum: "USD" "CAD" "GBP" "EUR" "JPY"
profit_center
string
rounding_rule
required
string (aurora.core.consts.RoundingRule)
Enum: "NO_ROUNDING" "UP_TO_NEAREST_0_DOT_01" "UP_TO_NEAREST_0_DOT_05" "UP_TO_NEAREST_0_DOT_10" "UP_TO_NEAREST_0_DOT_25" "UP_TO_NEAREST_1_DOT_0"
rwa_bucket
string
settlement_system
string (aurora.core.consts.agreements.SettlementSystem)
Enum: "SETTLEMENT_SYSTEM_UNSPECIFIED" "PROVABLE_MARKET" "LOANET" "LOANET_SFT" "SPIRE" "PROP"
settlement_type
required
string (aurora.core.consts.settlement.SettlementType)
Enum: "NSCC" "BILATERAL"
short_name
required
string

Agreements require a short name that can be used for both display in the order book and when creating new orders. Short names must be unique amongst your agreements and must be 25 characters or less. Spaces are supported but not recommended.

term_end_date
string
term_start_date
string
term_type
required
string (aurora.core.consts.agreements.TermType)
Enum: "TERM_TYPE_UNSPECIFIED" "NONE" "FIXED" "EVERGREEN" "ONE_DAY" "BULLET"
trade_type
string
Responses
200

A successful response
Modify-Agreement Response

Response Schema: application/json
required
object (aurora.core.apiengine.agreementsv1.Agreement)

Fields: id, short_name, side, counterparty_id, settlement_type, rounding_rule, collateral_rate, status, proposer_user, proposed_by_side, responder_user, version, collateral_type, pricing_currency, billing_currency, collateral_currency, collateral_method, dividend_required, term_type, term_start_date, term_end_date, balance_target, balance_target_variance, rwa_bucket, settlement_system, created_at, approved_at, booking_account, counterparty_booking_account, trade_type, profit_center, delivery_type

RejectAgreement

PATH: /aurora.core.apiengine.agreementsv1.AgreementService/RejectAgreement

RejectAgreement can be used to reject a drafted agreement

SecurityBearer
Request
Request Body schema: application/json
required

Reject-Agreement Request

id
required
string

ID of the agreement

Responses
200

A successful response
Reject-Agreement Response

Response Schema: application/json
object (aurora.core.apiengine.agreementsv1.RejectAgreementResponse)

Reject-Agreement Response